package com.gyee.runeconomy.service.auto.impl;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gyee.runeconomy.model.auto.ProEconPowerFittingAnalySis;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author chenmh
 * @since 2023-09-24
 */
public interface ProEconPowerFittingAnalySisService extends IService<ProEconPowerFittingAnalySis> {

    ProEconPowerFittingAnalySis selectItemById(String id);
    ProEconPowerFittingAnalySis delete(String time,String fileName);

    /**
     * 根据类型查询
     * @param type   prepare
     * @return
     */
    List<ProEconPowerFittingAnalySis> selectList(List<String> stations ,String type);

//    void insertItem(ProEconPowerFittingAnalySis obj);

    List<ProEconPowerFittingAnalySis> selectListByIds(String ids);

    void deleteList(String ids);

    /**
     * 查询准备的数据
     * @param type  Constants.DATA_PREPARE  Constants.DATA_PROCESS
     * @param isCal
     * @return
     */
    List<ProEconPowerFittingAnalySis> selectListByIsCal(String type, int isCal);

}
